import { NavBar } from "@civicactions/data-catalog-components";
import React from "react";
import Inicio from "../../components/First";
import PiePag from "../../components/Footer";
import { Link } from '@reach/router';
import links from "../../assets/menu.json";

const Aviso = () => {
    return (
        <Inicio title="Aviso de Privacidad">
             <NavBar
                navItems={links.main.map(item => (
                <Link activeclassname="active" to={item.url}>
                    {item.label}
                </Link>
                ))}
            />

            <div className="main-wrapper">
                <div id="main" className="main container">
                    <div className="main-row uk-padding-large">
                        <section>
                            <h1 style={{color:"black"}} className="page-header">Aviso de Privacidad</h1>
                            <p>
                            La Coordinación Estatal de Transparencia y Gobierno Abierto (CETGA), con domicilio en Centro 
                            Integral de Servicios, Edificio Norte, primer piso, Bulevar Atlixcáyotl, No. 1101, Reserva Territorial
                             Atlixcáyotl de Puebla, Puebla, C.P. 72190, es la responsable del tratamiento de los datos personales 
                             que otorgue toda persona que solicite o proporcione información, realice consultas, proponga y/o participe 
                             con esta Coordinación ya sea como Organización de la Sociedad Civil o como ciudadano, los cuales se almacenarán 
                             con las medidas de seguridad que garanticen su protección y serán tratados con la debida confidencialidad, 
                             conforme a lo dispuesto por la Ley General de Protección de Datos Personales en Posesión de Sujetos Obligados, 
                             la Ley General de Transparencia y Acceso a la Información Pública, la Ley de Protección de Datos Personales del 
                             Estado de Puebla, la Ley de Transparencia y Acceso a la Información Pública del Estado de Puebla, al Reglamento
                              Interior de la Coordinación Estatal de Transparencia y Gobierno Abierto, y demás normatividad que resulte aplicable.
                            </p>
                            <p>
                                <strong>
                                Datos Personales que se recaban y su finalidad
                                </strong>
                            </p>
                            <p>
                            Los datos personales que se recaban son: nombre del contacto, 
                            nombre de la Organización de la Sociedad Civil (OSC), correo 
                            electrónico de contacto, número telefónico de contacto, página web, 
                            redes sociales (Twitter y/o Facebook), Ciudad, Estado y temas de 
                            interés; los cuales serán protegidos, incorporados y tratados en 
                            los archivos de la Dirección de Gobierno Abierto de la 
                            Coordinación Estatal de Transparencia y Gobierno Abierto.
                            </p>
                            <p>
                            Los datos personales tienen por objeto integrar las Bases de Datos Personales que conforman el <a href="http://datos.puebla.gob.mx/"><em>Portal de Datos Abiertos </em>,</a>
                            para la elaboración de un directorio de Organizaciones de la Sociedad Civil que será público y estará disponible en el sitio web mencionado.
                            </p>
                            <p>Se informa que no se recabarán datos personales sensibles.</p>
                            <p>Si usted no desea que sus datos personales se continúen tratando para estas finalidades, puede ejercer su derecho de oposición a través del medio indicado líneas abajo.</p>
                            <p>
                                <strong>Fundamento Legal para el tratamiento de datos personales</strong>
                            </p>
                            <p>
                            La Coordinación Estatal de Transparencia y Gobierno Abierto, tratará los datos personales antes señalados con 
                            fundamento en lo dispuesto en el artículo 4 fracción IV y 15 fracción XIII del Decreto del Honorable Congreso del 
                            Estado por el que crea el Organismo Público Descentralizado denominado “COORDINACIÓN ESTATAL DE TRANSPARENCIA Y
                             GOBIERNO ABIERTO”; así como los artículos 4 y 14 fracciones II, VII y VIII del Reglamento Interior de la Coordinación 
                             Estatal de Transparencia y Gobierno Abierto. 
                            </p>
                            <p>
                                <strong>
                                    Derechos ARCO
                                </strong>
                            </p>
                            <p>
                            Usted podrá ejercer sus derechos de acceso, rectificación, cancelación u oposición de sus datos personales (derechos ARCO), 
                            directamente ante la Unidad de Transparencia de esta Coordinación, ubicada en Centro Integral de Servicios, Edificio Norte, 
                            primer piso, Bulevar Atlixcáyotl, No. 1101, Reserva Territorial Atlixcáyotl de Puebla, Puebla, C.P. 72190, o bien a través 
                            de la <a href="http://www.plataformadetransparencia.org.mx/"><em>Plataforma Nacional de Transparencia</em></a> o en el correoelectrónico 
                            <a href="jorge.gomez@puebla.gob.mx"><em> jorge.gomez@puebla.gob.mx</em></a>. Si desea conocer el procedimiento para el ejercicio de estos derechos,
                             puede acudir a la Unidad de Transparencia, enviar un correo electrónico a la dirección antes señalada o revisar la siguiente página de internet
                             <a href="http://resguardatos.puebla.gob.mx/"><em> http://resguardatos.puebla.gob.mx/</em></a> 
                            </p>
                            <p><strong>Transferencia de Datos</strong></p>
                            <p>Se informa que no se realizarán transferencias de datos personales, salvo aquéllas que sean necesarias para atender requerimientos de información de 
                                una autoridad competente, que estén debidamente fundados y motivados.
                            </p>
                            <p>Ninguna persona que no esté autorizada podrá conocer sus datos personales.</p>
                            <p><strong>Cambios al aviso de privacidad</strong></p>
                            <p>En caso de que exista un cambio a este aviso de privacidad, lo haremos de su conocimiento a través del correo electrónico personal que haya otorgado o en 
                                la página de <a href="http://datos.puebla.gob.mx"> <em> http://datos.puebla.gob.mx.</em></a> .</p>
                        </section>

                    </div>

                </div>

            </div>

            <PiePag></PiePag>
        </Inicio>
    );
}
export default Aviso;