import { NavBar } from "@civicactions/data-catalog-components";
import React from "react";
import Inicio from "../../components/First";
import PiePag from "../../components/Footer";
import { Link } from '@reach/router';
import links from "../../assets/menu.json";

const Layout = () => {
    return (
        <Inicio title="Libre Uso MX">
            <NavBar
                navItems={links.main.map(item => (
                <Link activeclassname="active" to={item.url}>
                    {item.label}
                </Link>
                ))}
            />

            <div className="main-wrapper">
                <div id="main" className="main container">
                    <div className="main-row uk-padding-large">
                        <section>
                            <h1 style={{color:"black"}} className="page-header">Libre Uso MX</h1>
                            <h3>Términos de libre uso MX de los Datos Abiertos del Gobierno del Estado de Puebla</h3>
                            <p>Los presentes “Términos de libre uso” promueven el uso, reuso y redistribución de los conjuntos de datos abiertos, de conformidad con lo siguiente:</p>
                            <p>Usted puede:</p>
                            <ul>
                                <li>Hacer y distribuir copias del conjunto de datos y su contenido;</li>
                                <li>Difundir y publicar el conjunto de datos y su contenido;</li>
                                <li>Adaptar o reordenar el conjunto de datos y su contenido;</li>
                                <li>Extraer total o parcialmente el contenido del conjunto de datos;</li>
                                <li>Explotar comercialmente el conjunto de datos y su contenido, y;</li>
                                <li>Crear conjuntos de datos derivados del conjunto de datos o su contenido.</li>
                            </ul>
                            <p><strong>Condiciones:</strong></p>
                            <ul>
                                <li>Citar la fuente de origen de donde obtuvo el conjunto de datos:</li>
                                <blockquote>
                                    <p>
                                    Nombre del conjunto de datos", publicado por [Nombre o Siglas de la Dependencia o 
                                    Entidad de la Administración Pública Estatal]. Consultado en 
                                    [Liga de internet de los datos descargados], fecha de consulta:
                                     [en formato numérico AAAA-MM-DD], puestos a disposición de tal 
                                     manera que sean fácilmente accesibles para los usuarios, y en 
                                     la forma que mejor se adecue al funcionamiento del bien o servicio.
                                    </p>
                                </blockquote>
                                <li>No utilizar la información con objeto de engañar o confundir a la población variando el sentido original de la información y su veracidad.</li>
                                <li>No aparentar que el uso que usted haga de los datos representa una postura oficial del Gobierno o que el mismo está avalado por la fuente de origen.</li>
                                <p>Ejemplo de cita</p>
                                <blockquote>
                                    <p>
                                    “Pueblos mágicos del Estado de Puebla”, publicado por Secretaría de Turismo. 
                                    Consultado en http://datos.puebla.gob.mx/dataset/estadisticas-programa-raices-puebla, fecha de consulta: 2017-10-30.
                                    </p>
                                </blockquote>
                            </ul>
                            <h3>Aviso sobrer contenidos de terceros</h3>
                            <p>
                            Los términos de libre uso no lo autorizan para utilizar el contenido de terceros como pueden ser obras
                             en cualquier formato que se encuentren 
                            dentro de los conjuntos de datos. En caso de que requiera utilizar dicho contenido, 
                            deberá buscar la autorización directamente del titular de los derechos correspondientes de conformidad con la Ley Federal de Derechos de Autor.
                            </p>
                            <p>Compatible con Creative Commons License.</p>
                        </section>

                    </div>

                </div>
            </div>
            
            <PiePag></PiePag>
        </Inicio>
    );
}
export default Layout;