import React from "react";
import image from "../../assets/images/logo_gob_puebla_home.png";
import image2 from "../../assets/images/logo_home_datos_abiertos.png";
import gob_abierto from "../../assets/images/svg-home/gob_icon.svg";
import negocios from "../../assets/images/svg-home/negocios_icon.svg";
import med_ambiente from "../../assets/images/svg-home/medio_ambiente_icon.svg";
import poblacion from "../../assets/images/svg-home/poblacion_icon.svg";
import empleo from "../../assets/images/svg-home/empleo_icon.svg";
import educacion from "../../assets/images/svg-home/educacion_icon.svg";
import cultura from "../../assets/images/svg-home/cult_turismo_icon.svg";
import salud from "../../assets/images/svg-home/salud_icon.svg";
import finanzas from "../../assets/images/svg-home/finanzas_icon.svg";
import seguridad from "../../assets/images/svg-home/seguridad_icon.svg";
import servicios from "../../assets/images/svg-home/servicios_icon.svg";
import transporte from "../../assets/images/svg-home/trans_validad_icon.svg";
import Inicio from "../../components/First/index.jsx";
import PiePag from "../../components/Footer/index.jsx";
import { Hero, NavBar} from "@civicactions/data-catalog-components";
import links from "../../assets/menu.json";
import { Link } from '@reach/router';




const Casa = () => {

    return (
        <Inicio title="Datos Abiertos">
            <NavBar
                navItems={links.main.map(item => (
                <Link activeclassname="active" to={item.url}>
                    {item.label}
                </Link>
                ))}
            />

            <div className="region region-content">
                <div className="panels-ipe-display-container panels-ipe-processed">
                    <div className="log_text_menu uk-grid" data-uk-grid> 
                        <div className="uk-width-1-2@l uk-width-1-2@m uk-width-1-1 uk-flex uk-flex-middle uk-flex-right uk-first-column">
                            <div className="intro-container uk-panel uk-flex uk-width-1-1 uk-flex-right">
                                <div className="home-logos">
                                    <div className="uk-grid" data-uk-grid>
                                        <div className="uk-width-2-3@l uk-width-2-3@m uk-width-1-1 uk-text-right uk-flex uk-flex-middle uk-flex-right logo-puebla uk-first-column">
                                            <img src={image} alt="Imagen" />
                                        </div>
                                        <div className="uk-width-1-3@l uk-width-1-3@m uk-width-1-1 uk-text-right uk-padding-remove-left">
                                            <img src={image2} alt="Imagen2"/>
                                        </div>
                                        
                                    </div>
                                    <div id="panels-ipe-regionid-hero-first" className="panels-ipe-region">
                                        <div className="panels-ipe-sort-container">
                                            <div className="pane-content">
                                                <p className="uk-text-right da-title-header">Te damos la bienvenida al Portal de Datos Abiertos del Estado de Puebla</p>
                                                <p>  </p>
                                                <p className="uk-text-right da-text-header">En el Gobierno del Estado de Puebla estamos convencidos de que la apertura de información pública en 
                                                    formatos abiertos es un elemento clave de la participación ciudadana. Te invitamos a explorar los conjuntos de 
                                                    datos disponibles y a utilizarlos para crear productos y servicios innovadores.
                                                </p>
                                            </div>
                                        </div>
                                    </div>

                                    <div className="uk-width-1-1 uk-width-expand">
                                        <Hero className="uk-input uk-form-width-medium uk-form-width-large@s"></Hero>
                                    </div>
                                    
                                </div>
                            </div>
                        </div>

                        <div className="uk-width-1-2@l uk-width-1-2@m uk-width-1-1 ">
                            <div className="home-svgs uk-grid-small uk-child-width-1-1 uk-child-width-1-3@xl uk-child-width-1-3@m uk-child-width-1-3@s uk-hover uk-grid" data-uk-grid>
                                <div className="uk-first-column">
                                    <a href="/search/?theme=Gobierno%20Abierto">
                                        <p>
                                            <img class={"uk-svg"} width={"95px"} height={"95px"} src={gob_abierto} alt={"Gobierno Abierto"}/>
                                            
                                        </p>
                                        <p>GOBIERNO ABIERTO</p>
                                    </a>
                                </div>
                                <div>
                                    <a href="/search/?theme=Negocios">
                                        <p>
                                            <img width={"95px"} height={"95px"} src={negocios} alt={"Negocios"}/>
                                        </p>
                                        <p>NEGOCIOS</p>
                                    </a>
                                </div>
                                <div>
                                    <a href="/search/?theme=Medio%20Ambiente">
                                        <p>
                                            <img width={"95px"} height={"95px"} src={med_ambiente}  alt={"Medio Ambiente"}/>
                                        </p>
                                        <p>MEDIO AMBIENTE</p>
                                    </a>
                                </div>
                                <div className="uk-grid-margin uk-first-column">
                                    <a href="/search/?theme=Poblacion">
                                        <p>
                                            <img width={"95px"} height={"95px"} src={poblacion} alt={"Poblacion"} />
                                        </p>

                                        <p>POBLACIÓN</p>
                                    </a>
                                </div>
                                <div className="uk-grid-margin">
                                    <a href="/search/?theme=Empleo">
                                        <p>
                                            <img width={"95px"} height={"95px"} src={empleo} alt={"Empleo"}/>
                                        </p>
                                        <p>EMPLEO</p>
                                    </a>
                                </div>
                                <div className="uk-grid-margin">
                                    <a href="/search/?theme=Educacion">
                                        <p>
                                            <img width={"95px"} height={"95ox"} src={educacion} alt={"Educacion"}/>
                                        </p>
                                        <p>Educación</p>
                                    </a>

                                </div>
                                <div className="uk-grid-margin uk-first-column">
                                    <a href="/search/?theme=Cultura%20y%20Turismo">
                                        <p>
                                            <img width={"95px"} height={"95ox"} src={cultura}  alt={"Cultura y Turismo"}/>
                                        </p>
                                        <p>CULTURA Y TURISMO</p>
                                    </a>

                                </div>
                                <div className="uk-grid-margin">
                                    <a href="/search/?theme=Salud">
                                        <p>
                                            <img width={"95px"} height={"95ox"} src={salud} alt={"Salud"}/>
                                        </p>
                                        <p>SALUD</p>
                                    </a>

                                </div>
                                <div className="uk-grid-margin">
                                    <a href="/search/?theme=Finanzas">
                                        <p>
                                            <img width={"95px"} height={"95ox"} src={finanzas} alt={"Finanzas"}/>
                                        </p>
                                        <p>FINANZAS</p>
                                    </a>

                                </div>
                                <div className="uk-grid-margin uk-first-column">
                                    <a href="/search/?theme=Seguridad">
                                        <p>
                                            <img width={"95px"} height={"95ox"} src={seguridad} alt={"Seguridad"}/>
                                        </p>
                                        <p>SEGURIDAD</p>
                                    </a>

                                </div>
                                <div className="uk-grid-margin">
                                    <a href="/search/?theme=Servicios">
                                        <p>
                                            <img width={"95px"} height={"95ox"} src={servicios} alt={"Servicios"}/>
                                        </p>
                                        <p>SERVICIOS</p>
                                    </a>

                                </div>
                                <div className="uk-grid-margin">
                                    <a href="/search/?theme=Transporte%20y%20Vialidad">
                                        <p>
                                            <img width={"95px"} height={"95ox"} src={transporte} alt={"Transporte y Salud"} />
                                        </p>
                                        <p>TRANSPORTE Y VIALIDAD</p>
                                    </a>

                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div className="uk-container">
                <div className="preg-frecuentes">
                    <h2 id="preguntas">PREGUNTAS <b>FRECUENTES</b></h2>
                    <div className="pfs-container">
                        <div className="pf-container">
                            <div className="pf uk-grid-divider uk-grid-match uk-grid-large uk-grid" data-uk-grid>
                                <div className="pf-question uk-width-1-3 uk-align-right uk-margin-remove uk-first-column">
                                    <p className="uk-text-right uk-align-right"> ¿Qué son los <b>Datos Abiertos?</b></p>
                                </div>
                                <div className="uk-width-expand pf-answer">
                                    <p>Son datos que organizaciones, empresas e individuos ponen a disposición de manera libre y 
                                        sin ningún tipo de restricción legal, en formatos accesibles y estándar, a fin de que cualquier 
                                        persona pueda acceder a ellos, reutilizarlos y compartirlos.
                                    </p>
                                </div>
                            </div>
                        </div>
                        <div className="pf-container">
                            <div className="pf uk-grid-divider uk-grid-match uk-grid-large uk-grid" data-uk-grid>
                                <div className="pf-question uk-width-1-3 uk-align-right uk-margin-remove uk-first-column">
                                    <p className="uk-text-right uk-align-right"><b>¿Para qué publicamos</b> Datos Abiertos?</p>
                                </div>
                                <div className="uk-width-expand pf-answer">
                                    <p>Para empoderar a las y los ciudadanos, promover su participación en la solución de problemas y generar oportunidades
                                    de creación de productos y servicios derivados, fomentando la transparencia, la rendición de cuentas y el combate a la corrupción.
                                    </p>
                                </div>
                            </div>
                        </div>
                        <div className="pf-container">
                            <div className="pf uk-grid-divider uk-grid-match uk-grid-large uk-grid" data-uk-grid>
                                <div className="pf-question uk-width-1-3 uk-align-right uk-margin-remove uk-first-column">
                                    <p className="uk-text-right uk-align-right"><b>¿Cúal es el marco jurídico</b> que sustenta y promueve los Datos Abiertos?</p>
                                </div>
                                <div className="uk-width-expand pf-answer">
                                    <p>En el estado de Puebla, la Ley de Transparencia y Acceso a la Información Pública del Estado de Puebla, la Ley de 
                                        Archivos del Estado de Puebla y el Plan Estatal de Desarrollo 2017-2018. En cuanto a la Legislación Federal, los Datos
                                        Abiertos se sustentan en el Artículo 6° de la Constitución Política de los Estado Unidos Mexicanos, la Ley General de 
                                        Transparencia y Acceso a la Información Pública, la Ley Federal de Transparencia y Acceso a la Información Pública, el
                                        Plan Nacional de Desarrollo 2013-2018, la Estrategia Digital Nacional y el Decreto por el que se establece la regulación 
                                        en materia de Datos Abiertos, así como la Guía de Implementación de la Política de Datos Abiertos.
                                    </p>
                                </div>
                            </div>
                        </div>


                        <div className="pf-container">
                            <div className="pf uk-grid-divider uk-grid-match uk-grid-large uk-grid" data-uk-grid>
                                <div className="pf-question uk-width-1-3 uk-align-right uk-margin-remove uk-first-column">
                                    <p className="uk-text-right uk-align-right"><b>¿Es necesario registrarme</b>para acceder a los Datos Abiertos?</p>
                                </div>
                                <div className="uk-width-expand pf-answer">
                                    <p>
                                    No. Al tratarse de información pública, se encuentra disponible sin ningún tipo de restricción y completamenta accesible.
                                    </p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div className="contact-info-container">
                <div className="uk-grid-large uk-grid" data-uk-grid>
                    <div className="contact-info-legend uk-width-1-3 uk-first-column">
                        <div>   
                            <p className="uk-text-right da-title-header">CONTACTO</p>
                            <p className="uk-text-right da-text-header"> 
                            Si deseas información adicional sobre el Portal de Datos abiertos o solicitar algún conjunto de datos que no se encuentre 
                            publicado en este sitio, puedes contactarnos a través de los siguientes medios:</p>
                        </div>

                    </div>
                    <div className="contact-info uk-panel uk-flex uk-flex-column uk-width-expand">
                        <div className="contact-info-text">
                            <div className="uk-padding-small">
                                <p className="ci-title">Coordinación Estatal de Transparencia y Gobierno Abierto</p>
                            </div>
                            <div className="uk-padding-small">
                                <p className="ci-title">Dirección de Gobierno Abierto</p>
                            </div>
                            <div className="uk-padding-small">
                                <p className="ci-text">Centro Integral de Servicios, Edificio Norte, primer piso. Blvd. Atlixcáyotl, No. 1101, Reserva Territorial Atlixcáyotl de Puebla, Puebla. C.P. 72190.</p>
                            </div>
                            <div className="uk-padding-small">
                                <p className="ci-title">Dirección de Gobierno Abierto</p>
                                <p className="ci-text">Tel. +52 (222) 3034600 ext. 2601</p>
                            </div>
                            <div className="uk-padding-small">
                                <p className="ci-title">Departamento de Participación Ciudadana</p>
                                <p className="ci-text">Tel. +52 (222) 3034600 ext. 2608</p>
                            </div>
                            <div className="uk-padding-small">
                                <p className="ci-title">Departamento de Gobierno Abierto</p>
                                <p className="ci-text">Tel. +52 (222) 3034600 ext. 2608</p>
                            </div>
                            <div className="uk-padding-small">
                                <p className="ci-title">Correo electrónico: <a href="mailto:datosabiertos@puebla.gob.mx" className="red-link">datosabiertos@puebla.gob.mx</a></p>
                            </div>
                        </div>
                    </div>
                </div>

            </div>


            <PiePag></PiePag>

        </Inicio>
    );
}

export default Casa;