import React from "react";
import { Link } from "@reach/router";
import log_puebla from "../../assets/images/logo_gob_puebla_blanco.svg";
import face from "../../assets/images/ico-facebook.png";
import twitter from "../../assets/images/ico-twitter.png";


const PiePag = () => {
    return (
        <div className="footer uk-grid-match uk-grid-collapse uk-grid" role={"contentinfo"} data-uk-grid>
                <div className="uk-width-1-2@l uk-width-1-2@m uk-width-1-1 uk-first-column">
                    <div className="uk-panel footer-left"> 
                        <div className="uk-flex uk-flex-right uk-grid-match uk-height-1-1 uk-grid uk-grid-stack" data-uk-grid>
                            <div className="uk-width-1-1 uk-width-2-3@xl uk-width-5-6@l uk-width-4-6@m uk-width-4-6@s uk-first-column">
                                <div className="uk-panel uk-padding-right">
                                    <div className="uk-flex uk-flex-center uk-grid" data-uk-grid>
                                        <div className="uk-width-1-2@l uk-width-1-2@m uk-width-1-1 uk-flex uk-flex-center uk-first-column">
                                            <a href="https://www.puebla.gob.mx/" alt="Ir al Portal del Estado de Puebla">
                                                <img src={log_puebla} width={"270"} alt={"Puebla"}/>
                                            </a>
                                        </div>
                                        <div className="uk-width-1-2@l uk-width-1-2@m uk-width-1-1 uk-flex uk-flex-center uk-margin-remove">

                                        </div>
                                    </div>
                                    <div className="text">
                                        <p className="footer-title"><span style={{color: 'white'}}> Coordinación de Transparencia y Gobierno Abierto</span></p>
                                        <p className="footer-text">
                                          <span style={{color: 'white'}}> Vía Atlixcayotl número 1101, Torre Ejecutiva, Planta Baja del Centro Integral de Servicios y 
                                          Atención Ciudadana, Reserva Tearritorial Atlixcáyotl de Puebla, Pue.</span>
                                        </p>

                                    </div>
                                    <div className="footer-links">
                                        <Link to="/home/libre-uso" className="footer-link"> LIBRE USO MX</Link>
                                        <Link to="/aviso-de-privacidad" className="footer-link"> AVISO DE PRIVACIDAD</Link>
                                        
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>
                </div>
                <div className="uk-width-1-2@l uk-width-1-2@m uk-width-1-1">
                    <div className="uk-panel footer-right">
                        <div className="uk-flex uk-flex-left uk-grid-match uk-height-1-1 uk-grid uk-grid-stack" data-uk-grid>
                            <div className="uk-width-1-1 uk-width-2-3@xl uk-width-5-6@l uk-width-4-6@m uk-width-4-6@s uk-first-column">
                                <div className="uk-panel">
                                    <div className="logo-social">
                                        <a href="/twittrer">
                                            <img width={"35px"} height={"35px"} src={face} alt="facebook" />
                                        </a>
                                        <a href="/twitter">
                                            <img width={"35px"} height={"35px"} src={twitter} alt="twitter" />
                                        </a>
                                    </div>
                                    <ul className="footer-menu">
                                        <li> <span style={{color: 'white'}}> ¿Te interesa la participación ciudadana?</span></li>
                                        <li> <span style={{color: 'white'}}> Realiza una solicitud de acceso a la información pública </span></li>
                                        <li> <span style={{color: 'white'}}> Consulta la información pública del gobierno del estado de Puebla</span></li>
                                        <li> <span style={{color: 'white'}}> Conoce información relevante sobre protección de datos personales</span></li>
                                        <li> <span style={{color: 'white'}}> Visita el sitio de la Coordinación Estatal de Transparencia y Gobierno Abierto</span></li>
                                    </ul>
                                </div>
                            </div>

                        </div>
                    </div>

                </div>
            </div>
    );
}

export default PiePag;