import React from "react";
import Inicio from "../../components/First";
import PiePag from "../../components/Footer";
import { Link } from '@reach/router';
import { NavBar} from "@civicactions/data-catalog-components";
import links from "../../assets/menu.json";

const Layout = () => {
    return (
        <Inicio title="Contacto">  
            <NavBar
                navItems={links.main.map(item => (
                <Link activeclassname="active" to={item.url}>
                    {item.label}
                </Link>
                ))}
            />
            
            <div id="main-wrapper">
                <div id="main" className="main container">
                    <div className="main-row uk-padding-large">
                        <section>
                            <h1 style={{color:"black"}} className="page-header">Contacto</h1>
                            <p style={{fontSize: "1.6rem"}}>Si deseas información adicional sobre el Portal 
                                de Datos Abiertos o solicitar algún conjunto de
                                 datos que no se encuentre publicado en este 
                                 sitio, puedes contactarnos a través de los 
                                 siguientes medios:</p>
                            
                            <p style={{fontSize: "1.6rem"}}>
                                <strong >Coordinación Estatal de Transparencia y Gobierno Abierto</strong>
                                <br />
                                <strong>Dirección de Gobierno Abierto</strong>
                            </p>
                            <p style={{fontSize: "1.6rem"}}>
                                Centro Integral de Servicios, Edificio Norte, primer piso. Blvd. Atlixcáyotl, No. 1101,
                                <br />

                                Reserva Territorial Atlixcáyotl de Puebla, Puebla. C.P. 72190.
                            </p>
                            <p style={{fontSize: "1.6rem"}}>
                                <strong>Correo electrónico: </strong>
                                <a href="datosabiertos@puebla.gob.mx">datosabiertos@puebla.gob.mx</a>
                            </p>
                            <p style={{fontSize: "1.6rem"}}>
                                Dirección de Gobierno Abierto 
                                <br />
                                Tel. +52 (222) 3034600 ext. 2601
                            </p>
                            <p style={{fontSize: "1.6rem"}}>
                                Departamento de Participación Ciudadana
                                <br />
                                Tel. +52 (222) 3034600 ext. 2608
                            </p>
                            <p style={{fontSize: "1.6rem"}}>
                                Departamento de Gobierno Abierto
                                <br />
                                Tel. +52 (222) 3034600 ext. 2608
                            </p>

                        </section>

                    </div>
                </div>

            </div>

            <PiePag></PiePag>
        </Inicio>
    )
}

export default Layout;