import React from "react";
import { useLocation } from "@reach/router";
import { Search, SearchSidebar, SearchContent } from "@civicactions/data-catalog-components";
import { defaultFacets, normalizeItems, sortOptions } from '../../config/search';
import Inicio from "../../components/First";//Esta linea es para poder hacer un distinto front, cambiando el "title"
import PiePag from "../../components/Footer";
import { Link } from '@reach/router';
import links from "../../assets/menu.json";
import { NavBar, Header} from "@civicactions/data-catalog-components";
import image from "../../assets/images/logo-interna.png";
import config from "../../assets/config.json";





const Dataset = ({path}) => {
    const location = useLocation();
    return (
        <Inicio title="Datasets">
            <div className="uk-grid" data-uk-grid>
                <NavBar
                navItems={links.main.map(item => (
                <Link activeclassname="active" to={item.url}>
                    {item.label}
                </Link>
                ))}
                />
                <Header logo={image} site={config.site} slogan={config.slogan} customClasses={config.container}></Header>
            </div>
         
            <div className="dc-page container">
                <Search
                    searchEndpoint={`${process.env.REACT_APP_ROOT_URL}/search`}
                    defaultFacets={defaultFacets}
                    sortOptions={sortOptions}
                    setSearchUrl={true}
                    path={path}
                    location={location}
                    normalize={normalizeItems}
                >

                    <div className="row">
                        <SearchSidebar />
                        <SearchContent />
                        
                    </div>
                </Search>
            </div>

            <PiePag></PiePag>

        </Inicio>
    );
}

export default Dataset

